Bug 2012066 - Video files with ac3 audio open with ~ 20 s delay in vlc
Summary: Video files with ac3 audio open with ~ 20 s delay in vlc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireplumber
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-08 07:47 UTC by Otto Liljalaakso
Modified: 2021-10-28 18:27 UTC (History)
3 users (show)

Fixed In Version: wireplumber-0.4.4-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-28 18:27:28 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
freedesktop.org Gitlab pipewire wireplumber issues 63 0 None opened Video files with AC3 audio open with ~ 20 s delay in vlc 2021-10-08 07:50:07 UTC

Description Otto Liljalaakso 2021-10-08 07:47:44 UTC
Description of problem:
If Wireplumber is used, as Fedora Linux 35 Beta does by default,
vlc has an about 20 second delay
when opening video files that have an AC3 audio track.

I have identified Wireplumber as having some role in this
by switching back to pipewire-media-session
as was used in Fedora 34.
The issue disappears when I do that and reboot.

More details are available at upstream issue:
https://gitlab.freedesktop.org/pipewire/wireplumber/-/issues/63

Version-Release number of selected component (if applicable):
0.4.2-1.fc35

How reproducible:
Always

Steps to Reproduce:
1. Install vlc from RPM Fusion
2. Download this example video: https://people.freedesktop.org/~wtay/DolbyDigitalBroadway.vob
3. Open the video with vlc: $ vlc DolbyDigitalBroadway.vob

Actual results:
Vlc starts,
showing black screen and 0% audio volume for about 20 seconds,
then video starts to play normally.

Expected results:
Video immediately starts to play.

Additional info:

Comment 1 Fedora Update System 2021-10-15 14:49:35 UTC
FEDORA-2021-3c4c454c98 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3c4c454c98

Comment 2 Fedora Update System 2021-10-15 20:51:56 UTC
FEDORA-2021-3c4c454c98 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3c4c454c98`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3c4c454c98

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-10-24 20:21:17 UTC
FEDORA-2021-3c4c454c98 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3c4c454c98

Comment 4 Fedora Update System 2021-10-28 18:27:28 UTC
FEDORA-2021-3c4c454c98 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.